org.apache.ignite.internal.processors.cache.mvcc

## Class VacuumMetricsReducer

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.mvcc.VacuumMetricsReducer

All Implemented Interfaces:
  Serializable, IgniteReducer<VacuumMetrics,VacuumMetrics>

    public class VacuumMetricsReducer
    extends Object
    implements IgniteReducer<VacuumMetrics,VacuumMetrics>

Vacuum metrics reducer.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`VacuumMetricsReducer()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `collect(VacuumMetrics metrics)` Collects given value.
`VacuumMetrics` `reduce()` Reduces collected values into one.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### VacuumMetricsReducer

    public VacuumMetricsReducer()

### Method Detail

#### collect

    public boolean collect(@Nullable
                           VacuumMetrics metrics)

Collects given value. If this method returns `false` then `IgniteReducer.reduce()` will be called right away. Otherwise caller will continue collecting until all values are processed.

Specified by:
  `collect` in interface `IgniteReducer<VacuumMetrics,VacuumMetrics>`
Parameters:
  `metrics` - Value to collect.
Returns:
  `true` to continue collecting, `false` to instruct caller to stop collecting and call `IgniteReducer.reduce()` method.

#### reduce

    public VacuumMetrics reduce()

Reduces collected values into one.

Specified by:
  `reduce` in interface `IgniteReducer<VacuumMetrics,VacuumMetrics>`
Returns:
  Reduced value.

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.5
Release Date | : June 4 2019